import type { ConfigEffect } from 'vike/types';
declare const _default: {
    onRenderHtml: "import:vike-builders/renderer/onRenderHtml:onRenderHtml";
    onRenderClient: "import:vike-builders/renderer/onRenderClient:onRenderClient";
    passToClient: string[];
    clientRouting: false;
    hydrationCanBeAborted: true;
    meta: {
        Head: {
            env: {
                server: true;
            };
        };
        Layout: {
            env: {
                server: true;
                client: true;
            };
        };
        title: {
            env: {
                server: true;
                client: true;
            };
        };
        description: {
            env: {
                server: true;
            };
        };
        theme: {
            env: {
                server: true;
                client: true;
            };
        };
        favicon: {
            env: {
                server: true;
            };
        };
        lang: {
            env: {
                server: true;
            };
        };
        ssr: {
            env: {
                config: true;
            };
            effect: ConfigEffect;
        };
        stream: {
            env: {
                server: true;
            };
        };
        VikeReactQueryWrapper: {
            env: {
                client: true;
                server: true;
            };
        };
    };
};
export default _default;
import type { Component } from './types.d.ts';
declare global {
    namespace VikePackages {
        interface ConfigVikeReact {
            /** The page's root React component */
            Page?: Component;
            /** React element rendered and appended into &lt;head>&lt;/head> */
            Head?: Component;
            /** A component, usually common to several pages, that wraps the root component `Page` */
            Layout?: Component;
            /** &lt;title>${title}&lt;/title> */
            title?: string;
            /** &lt;meta name="description" content="${description}" /> */
            description?: string;
            /** &lt;link rel="icon" href="${favicon}" /> */
            favicon?: string;
            /** &lt;html lang="${lang}">
             *
             *  @default 'en'
             *
             */
            lang?: string;
            theme?: any;
            /**
             * If true, render mode is SSR or pre-rendering (aka SSG). In other words, the
             * page's HTML will be rendered at build-time or request-time.
             * If false, render mode is SPA. In other words, the page will only be
             * rendered in the browser.
             *
             * See https://vike.dev/render-modes
             *
             * @default true
             *
             */
            ssr?: boolean;
            /**
             * Whether to stream the page's HTML. Requires Server-Side Rendering (`ssr: true`).
             *
             * @default false
             *
             */
            stream?: boolean;
            VikeReactQueryWrapper?: Component;
        }
    }
}
