export { PageContextProvider };
export { usePageContext };
export { useData };
import React, { useContext } from 'react';
import { getGlobalObject } from './utils/getGlobalObject.js';
const { Context } = getGlobalObject('PageContextProvider.ts', {
    Context: React.createContext(undefined)
});
function PageContextProvider({ pageContext, children }) {
    if (!pageContext)
        throw new Error('Argument pageContext missing');
    return React.createElement(Context.Provider, { value: pageContext }, children);
}
/** Access the pageContext from any React component */
function usePageContext() {
    const pageContext = useContext(Context);
    if (!pageContext)
        throw new Error('<PageContextProvider> is needed for being able to use usePageContext()');
    return pageContext;
}
function useData() {
    const { data } = usePageContext();
    return data;
}
