import React from 'react';
import { themeFormatter } from '@platformbuilders/theme-toolkit';
import { PageContextProvider } from './PageContextProvider.js';
function PassThrough({ children }) {
    return React.createElement(React.Fragment, null, children);
}
export function PageShell({ children, pageContext }) {
    const Layout = pageContext.config.Layout || PassThrough;
    const themeJson = themeFormatter(pageContext.config.theme) ?? {};
    return (React.createElement(PageContextProvider, { pageContext: pageContext },
        React.createElement(Layout, { theme: themeJson }, children)));
}
