// https://vike.dev/onRenderClient
export { onRenderClient };
import React from 'react';
import ReactDOM from 'react-dom/client';
import { getTitle } from './getTitle.js';
import { PageShell } from './getPageElement.js';
let root;
const onRenderClient = async (pageContext) => {
    const { Page, data } = pageContext;
    const page = React.createElement(PageShell, { pageContext: pageContext }, !!Page ? React.createElement(Page, { ...(data || {}) }) : null);
    const container = document.getElementById('page-view');
    if (container.innerHTML !== '' && pageContext.isHydration) {
        // Hydration
        root = ReactDOM.hydrateRoot(container, page);
    }
    else {
        if (!root) {
            // First rendering
            root = ReactDOM.createRoot(container);
        }
        else {
            const title = getTitle(pageContext);
            document.title = title || '';
        }
        root.render(page);
    }
};
